Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Assets
  • Customer
  • Info
  • Knowledgebase
  • Organization
  • Request
  • Requesttype
  • Servicedesk
  • Other operations
Cloud
Jira Service Management Cloud / Reference / REST API

Other operations

Postman Collection
OpenAPI
POST

Create customer

Creates a customer account on behalf of jsd-nutmeg.

This endpoint is restricted to jsd-nutmeg via ASAP authentication. It provides the same capability as the public {@code POST /servicedeskapi/customer} endpoint, but does not require a User Context Token (UCT) or Connect app user \u2014 authorization is enforced entirely via the ASAP token.

No user permission checks are performed; {@code null} is passed as the acting user to bypass the permission check in the underlying service.

Data Security Policy: Exempt from app access rules
Scopes

Forge and OAuth2 apps cannot access this REST resource.

Connect apps cannot access this REST resource.

Request

Query parameters

strictConflictStatusCode

boolean

Request bodyapplication/json

JSON body containing the email address and display name of the customer to create.

displayName

string

email

string

fullName

string

Responses

201 response

application/json

UserDTO
POST/rest/servicedeskapi/customer/skip-permission-check
1 2 3 4 5 6 7 8 9 curl --request POST \ --url 'https://your-domain.atlassian.net/rest/servicedeskapi/customer/skip-permission-check' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "displayName": "<string>", "email": "<string>", "fullName": "<string>" }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "_links": { "avatarUrls": {}, "jiraRest": "<string>", "self": "<string>" }, "accountId": "<string>", "active": true, "displayName": "<string>", "emailAddress": "<string>", "key": "<string>", "name": "<string>", "timeZone": "<string>" }
GET

View knowledge base article

Data Security Policy: Exempt from app access rules
Scopes
ClassicRECOMMENDED:read:servicedesk-request
Granular:read:knowledgebase:jira-service-management

Connect app scope requiredREAD

Request

Path parameters

pageId

integer

Required

Responses

200 response

application/json

string

GET/rest/servicedeskapi/knowledgebase/article/view/{pageId}
1 2 3 4 curl --request GET \ --url 'https://your-domain.atlassian.net/rest/servicedeskapi/knowledgebase/article/view/{pageId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 "<string>"
POST

Add customers

Adds one or more customers to a service desk on behalf of jsd-nutmeg.

This endpoint is restricted to jsd-nutmeg via ASAP authentication. It provides the same capability as the public {@code POST /servicedeskapi/servicedesk/{serviceDeskId}/customer} endpoint, but does not require a User Context Token (UCT) or Connect app user \u2014 authorization is enforced entirely via the ASAP token.

No user permission checks are performed; {@code null} is passed as the acting user to bypass the permission check in the underlying service.

If any of the passed customers are already associated with the service desk, no changes will be made for those customers and the resource returns a 204 success code.

Data Security Policy: Exempt from app access rules
Scopes

Forge and OAuth2 apps cannot access this REST resource.

Connect apps cannot access this REST resource.

Request

Path parameters

serviceDeskId

string

Required

Request bodyapplication/json

JSON body containing the account IDs of customers to add.

accountIds

array<string>

usernames

array<string>

Responses

The request completed successfully. No additional content will be sent in the response.

application/json

any

POST/rest/servicedeskapi/servicedesk/{serviceDeskId}/customer/skip-permission-check
1 2 3 4 5 6 7 8 9 10 11 12 curl --request POST \ --url 'https://your-domain.atlassian.net/rest/servicedeskapi/servicedesk/{serviceDeskId}/customer/skip-permission-check' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "accountIds": [ "<string>" ], "usernames": [ "<string>" ] }'

Rate this page: